@import "https://fonts.googleapis.com/css?family=Roboto";
@import "https://fonts.googleapis.com/css?family=Baumans";
html{
  background-color: rgba(45, 51, 66, 0.7);
}
body {
  font-family: Roboto;
  font-size: 16px;
  color: #212121;
  overflow-y: auto;
  overflow-x: hidden;
}
body::-webkit-scrollbar {
    width: 8px;
}
body::-webkit-scrollbar-track {
    background: #cccccc; 
    border-radius: 5px;
}
body::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: gray;
}
*,
*::before,
*::after {
  box-sizing: border-box;
}
*:focus{
  outline:none;
}
.txt{
	position: relative;
	padding-top: 5px;
	background-color: rgba(45, 51, 66, 0.1);
}
p{
  color:#B5B5B5;
  text-align: center;
  margin: 20px 30px;
  font-size:15px;
  font-family: 'Baumans', cursive;
}
/*---------------*/
.playerhead{
  background-color: rgba(45, 51, 66, 1);
  position: fixed;
  height: 40px;
  width: 100%;
  box-shadow: 2px 6px 5px rgba(0,0,0,0.8);
   -webkit-box-shadow: 2px 6px 5px rgba(0,0,0,0.8);
   -moz-box-shadow: 2px 6px 5px  rgba(0,0,0,0.8);
  z-index: 1000;
  left: 0;
  top: 0;
  transition-property: all;
  transition-duration: 0.5s;
  transition-delay: 0s;
  transition-timing-function: cubic-bezier(.55,0,.1,1);
  transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
  -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;  
}
.playerhead:first-child{
  top: 0;
  border-radius: 3px 3px 3px 3px;
      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(2){
  top: 40px;
      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(3){
  top: 80px;
	      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(4){
  top: 120px;
	      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(5){
  top: 160px;
	      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(6){
  top: 200px;
	      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
.playerhead:nth-child(7){
  top: 240px;
  border-radius: 0px 0px 3px 3px;
	      opacity: 0.7;
    -webkit-transition: -webkit-box-shadow 0.2s ease-out, opacity 0.5s ease-out;
    -moz-transition: -moz-box-shadow 0.2s ease-out, opacity 0.5s ease-out;

    transition: box-shadow 0.2s ease-out, opacity 0.5s ease-out;
}
  .playerhead:first-child:hover,
  .playerhead:nth-child(2):hover,
  .playerhead:nth-child(3):hover,
  .playerhead:nth-child(4):hover,
  .playerhead:nth-child(5):hover,
  .playerhead:nth-child(6):hover,
  .playerhead:nth-child(7):hover{
	-webkit-box-shadow: 2px 12px 10px rgba(0,0,0,0.8);
    -moz-box-shadow: 2px 12px 10px  rgba(0,0,0,0.8);
    box-shadow: 2px 12px 10px rgba(0,0,0,0.8);
  opacity: 1;
  cursor:pointer;

}

.playerstats{
	top:0;
	position: relative;
	padding-top: 5px;
	padding-left: 5px;
	background-color: rgba(45, 51, 66, 1);
  	overflow-y: auto;
	overflow-x: hidden;
}
.playerstats::-webkit-scrollbar {
    width: 8px;
}
.playerstats::-webkit-scrollbar-track {
    background: #cccccc; 
    border-radius: 5px;
}
.playerstats::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: gray;
}
/*---------------*/
.playerhead:focus{
  top:0px;
  height: 100%;
  border-radius: 3px;
  transition-delay: 0s, 0s, 0.25s, 0.25s, 0s;
  transition-duration: 0.25s, 0.25s, 0.5s, 0.5s, 0s;
  box-shadow: 0 3px 3px rgba(0, 0, 0, 0.16), 0 3px 3px rgba(0, 0, 0, 0.23);
  opacity: 1;
  z-index: 2;
  background-color: rgba(45, 51, 66, 1);
  height: 100px;
  cursor:default;
}
 .playerhead, .playerhead:focus {
  height: auto;
  bottom: 10px;
  left: 100px;
  background: rgba(207, 85, 85, 0);
  color:#fff;
  font-family: 'Baumans';
  font-size: 17px;
  transition-delay: 0.25s;
  transition-duration: 0.5s;
}
/*---------------*/
#playerHead {
  position: relative;
  width: 100%;
  padding: 5px 10px;
  cursor: pointer;
  height: 50px;
  line-height: 36px;
  left: 0;
}
#playerHead:first-child {
  border-top: none;
  border-radius: 5px 5px 0px 0px;
}
#playerHead:last-child {
  border-radius: 0px 0px 5px 5px;
  border-bottom: none;
}
#playerHead .button {
  position: absolute;
  top: 3px;
  right: 5px;
}

#playerStats {
  background-color: rgba(45, 51, 66, 0.5);
  width: 100%;
  max-height: 0px;
  transition: .5s;
  -moz-transition: .5s;
  opacity: 1;
  padding: 0px 10px;
  border-bottom: none;
  color: transparent;
  	left:12.5%; 
	width:75%; 
	height:300px;
}
#playerStats:last-child {
  border-radius: 0px 0px 5px 5px;
  border: none;
}
#playerStats img {
  opacity: 0;
  max-height: 100px;
}
#playerStats.open {
  max-height: 1000px;
  opacity: 1;
  padding: 10px 10px;
  color: #999;
}
#playerStats.open img {
  opacity: 1;
  transition: 2s;
  -moz-transition: 2s;
}
/*---------------*/
.gallery{
  width: 100%;
  max-width: 960px;
  margin: 2rem auto;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;

  -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
  
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
		  
}

.gallery-item{
	box-shadow: 3px 6px 6px rgba(0, 0, 0, 0.16), 3px 6px 6px rgba(0, 0, 0, 0.23);
	width: 200px;
	height: 200px;
	margin: 10px;
	background: #000;
	position: relative;
	cursor: pointer;
	overflow: hidden;
   /* Minimum width of 24rem and grow to fit available space */
	flex: 1 0 24rem;
	top: 10vh;

}

.gallery-item-image{
  position: absolute;
  width: 200px;
  height: 200px;
  z-index:20;
  -webkit-transition:all .5s ease;
  transition: all .5s ease;
  bottom:0;
  overflow: hidden;
}

.gallery-item:hover .gallery-item-image{
  bottom: 100px;
}

.gallery-item-description{
  color:white;
  font-size: .8rem;
  width: 100%;
  height: 100px;
  padding: .5rem .8rem;
  background: #3498DB;
  position: absolute;
  bottom:0;
}
.vinyl-wrapper {
  position: absolute;
  z-index: -1;
  border-radius: 50%;
  top: 0;
  left: 45%;
  width: 100%;
  height: 100%;
  transform: translateZ(-8px);
  filter: drop-shadow(0 0 1px rgba(0, 0, 0, 0.6));
  transition: left 0.4s;
}
.vinyl-jacket:hover > .vinyl-wrapper {
  left: 62%;
}

.vinyl {
  border-radius: 50%;
  width: 100%;
  height: 100%;
  background-color: #21201e;
  background-image: conic-gradient(from 45deg, rgba(255, 255, 255, 0.25), transparent 6.25% 43.75%, rgba(255, 255, 255, 0.25) 50%, transparent 56.25% 93.75%, rgba(255, 255, 255, 0.25)), radial-gradient(farthest-side, transparent 0 calc(100% - 1px), #342d2b 95.23% 100%), radial-gradient(farthest-side, transparent 0 95.23%, #342d2b 95.23% 100%), radial-gradient(farthest-side, rgba(255, 255, 255, 0.06) 0 40%, rgba(0, 0, 0, 0.2) 40% calc(40% + 1px), rgba(0, 0, 0, 0.12) calc(40% + 1px) 48%, #282826 48% calc(48% + 1px), transparent calc(48% + 1px) 100%), radial-gradient(farthest-side, transparent 63.8%, rgba(255, 255, 255, 0.03) 63.8% calc(63.8% + 1px), transparent calc(63.8% + 1px) 81.9%, rgba(255, 255, 255, 0.03) 81.9% calc(81.9% + 1px), transparent 0), repeating-radial-gradient(farthest-side, rgba(255, 255, 255, 0.005) 0 1px, transparent 1px 2px), repeating-radial-gradient(farthest-side, rgba(255, 255, 255, 0.005) 0 1px, transparent 1px 5px), repeating-radial-gradient(farthest-side, #1e1d1c, #21201e 12.5%);
  -webkit-mask-image: radial-gradient(transparent 2.4%, #fff 2.4%);
  box-shadow: inset 0 0 1px 1px #000, inset 0 0 0 2px rgba(110, 100, 101, 0.6);
}
.vinyl::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(0);
  border: 1px solid #3b3b38;
  border-radius: 50%;
  width: 33.33%;
  height: 33.33%;
  background-image: url("../img/fac.jpg");
  background-size: cover;
  image-rendering: crisp-edges;
}

.hero-vinyl {
    background-size: cover;
    background-position: center;
    height: 72vh; /* xx% de la hauteur de l'écran */
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #B5B5B5;
}
.hero-content {
    background: rgba(0, 0, 0, 0.5); /* Masque sombre pour la lisibilité */
    padding: 20px;
	font-family: 'Baumans';
    height: 40vh; /* 80% de la hauteur de l'écran */
}
#myVideo {
  position: relative;
  width: inherit;
  height: 40vh;
  z-index: 1;
}

.cta-button {
   	background-color: rgba(45, 51, 66, 0.7);
	box-shadow: 1.5px 3px 3px rgba(0, 0, 0, 0.16), 1.5px 3px 3px rgba(0, 0, 0, 0.23);
	font-family: 'Baumans';
	font-size: 19px;
	color:#B5B5B5;
    padding: 15px 30px;
    text-decoration: none;
    font-weight: bold;
}
.cta-button:hover {
	z-index:2;
	color:#fff;
	background-color:rgba(45, 51, 66, 0.9);
}
/*

All grid code is placed in a 'supports' rule (feature query) at the bottom of the CSS (Line 77). 
        
The 'supports' rule will only run if your browser supports CSS grid.

Flexbox is used as a fallback so that browsers which don't support grid will still recieve an identical layout.

*/
:root {
	/* Base font size */
	font-size: 10px;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

.container {
	max-width: 100rem;
	margin: 0 auto;
	padding: 0 2rem 2rem;
}

.heading {
	font-family: 'Baumans';
	font-size: 4rem;
	font-weight: 500;
	line-height: 1.5;
	text-align: center;
	padding: 3.5rem 0;
	color: #1a1a1a;
}

.heading span {
	display: block;
}

.gallery-image {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform 400ms ease-out;
}

.gallery-image:hover {
	transform: scale(1.15);
}

/*

The following rule will only run if your browser supports CSS grid.

Remove or comment-out the code block below to see how the browser will fall-back to flexbox styling. 

*/

@supports (display: grid) {
	.gallery {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(24rem, 1fr));
		grid-gap: 2rem;
		justify-items: center;
	}

	.gallery,
	.gallery-item {
		margin: 0;
		top: 10vh;
	}
}
